/*
 * Class ARRAYED_LIST [INTEGER_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_767 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_767 [] = {0xFF01,237,766,209,0xFFFF};
static const EIF_TYPE_INDEX egt_2_767 [] = {0xFF01,766,209,0xFFFF};
static const EIF_TYPE_INDEX egt_3_767 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_767 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_767 [] = {0xFF01,766,209,0xFFFF};
static const EIF_TYPE_INDEX egt_6_767 [] = {0xFF01,766,209,0xFFFF};
static const EIF_TYPE_INDEX egt_7_767 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_767 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_767 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_767 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_767 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_767 [] = {766,209,0xFFFF};
static const EIF_TYPE_INDEX egt_13_767 [] = {0xFF01,766,209,0xFFFF};
static const EIF_TYPE_INDEX egt_14_767 [] = {0xFF01,758,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_767 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_767 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_767 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_767 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_767 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_20_767 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_767 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_767 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_767 [] = {0xFF01,766,209,0xFFFF};
static const EIF_TYPE_INDEX egt_24_767 [] = {0xFF01,749,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_767 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_767 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_767 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_767 [] = {0xFF01,750,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_767 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_767 [] = {0xFF01,169,0xFFFF};
static const EIF_TYPE_INDEX egt_31_767 [] = {0xFF01,749,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_32_767 [] = {0xFF01,755,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_33_767 [] = {0xFF01,766,209,0xFFFF};
static const EIF_TYPE_INDEX egt_34_767 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_35_767 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_36_767 [] = {0xFF01,144,0xFFFF};
static const EIF_TYPE_INDEX egt_37_767 [] = {0xFF01,766,209,0xFFFF};


static const struct desc_info desc_767[] = {
	{EIF_GENERIC(NULL), 8196, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_767), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_767), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8220, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_767), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8247, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_767), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_767), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_767), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_767), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_767), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_767), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_767), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_767), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_767), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_767), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_767), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8208, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2043, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1916, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), 1917, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1918, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1919, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_767), 2453, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_767), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8219, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2177, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_767), 8201, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2596, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2597, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2013, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8240, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8249, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4505, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8233, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8206, 8},
	{EIF_NON_GENERIC(0x019D /*206*/), 4508, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_767), 2446, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2447, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4683, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8228, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8229, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_767), 8202, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_767), 4509, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8223, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_767), 8201, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4493, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8227, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8210, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8211, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8212, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8213, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_767), 8204, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_767), 8205, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8226, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8231, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4515, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4516, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4494, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4495, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8254, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_767), 8256, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2443, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2442, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2445, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2445, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4684, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8230, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2444, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4619, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8221, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8224, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2593, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8237, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4498, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8248, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8250, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8253, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_767), 5018, 0},
	{EIF_GENERIC(NULL), 5019, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5020, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_767), 5021, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_767), 5022, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5023, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5024, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5025, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_767), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2091, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2174, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2175, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2176, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2178, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8244, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8246, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_767), 3381, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_767), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4508, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4623, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8255, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_767), 6686, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8197, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8198, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8199, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_767), 8200, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_767), 8209, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8214, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8215, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8216, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8217, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8225, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8245, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8258, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8259, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_767), 8260, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8206, 8},
	{EIF_GENERIC(egt_34_767), 8202, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_767), 8203, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8223, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8235, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8235, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_767), 8207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8222, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8232, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8218, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8234, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8238, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8239, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8241, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8242, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8251, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8252, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_767), 8257, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8236, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8243, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init767(void)
{
	IDSC(desc_767, 0, 766);
	IDSC(desc_767 + 1, 1, 766);
	IDSC(desc_767 + 32, 77, 766);
	IDSC(desc_767 + 41, 103, 766);
	IDSC(desc_767 + 43, 243, 766);
	IDSC(desc_767 + 49, 155, 766);
	IDSC(desc_767 + 58, 256, 766);
	IDSC(desc_767 + 61, 30, 766);
	IDSC(desc_767 + 68, 329, 766);
	IDSC(desc_767 + 82, 294, 766);
	IDSC(desc_767 + 85, 282, 766);
	IDSC(desc_767 + 94, 81, 766);
	IDSC(desc_767 + 103, 35, 766);
	IDSC(desc_767 + 104, 129, 766);
	IDSC(desc_767 + 110, 99, 766);
	IDSC(desc_767 + 112, 229, 766);
	IDSC(desc_767 + 113, 55, 766);
	IDSC(desc_767 + 114, 123, 766);
	IDSC(desc_767 + 116, 38, 766);
	IDSC(desc_767 + 131, 187, 766);
	IDSC(desc_767 + 137, 184, 766);
	IDSC(desc_767 + 140, 50, 766);
	IDSC(desc_767 + 141, 96, 766);
	IDSC(desc_767 + 149, 237, 766);
	IDSC(desc_767 + 151, 172, 766);
}


#ifdef __cplusplus
}
#endif
